PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData Struct Reference

`#include <solvers/thermal/dynamic/femT3d.hpp>`

Inheritance diagram for plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData:
[legend]
Collaboration diagram for plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData:
[legend]

## Public Member Functions
| ThermalConductivityData (const DynamicThermalFem3DSolver *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
Tensor2< double > | at (std::size_t i) const override
| Get index-th value from vector.
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< Tensor2< double > >
virtual | ~LazyDataImpl ()
virtual DataVector< const Tensor2< double > > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< Tensor2< double > > | claim () const

## Public Attributes
const DynamicThermalFem3DSolver * | solver
shared_ptr< const MeshD< 3 > > | dest_mesh
InterpolationFlags | flags
LazyData< double > | temps

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< Tensor2< double > >
typedef Tensor2< double > | CellType

## Detailed Description

Definition at line 91 of file femT3d.hpp.

## Constructor & Destructor Documentation

## ◆ ThermalConductivityData()

plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::ThermalConductivityData | ( | const DynamicThermalFem3DSolver * | solver,
|  | const shared_ptr< const MeshD< 3 > > & | dst_mesh
| ) |  |

Definition at line 390 of file femT3d.cpp.

## Member Function Documentation

## ◆ at()

Tensor2< double > plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::at | ( | std::size_t | index | ) | const
| override virtual

Get index-th value from vector.

Parameters

  index | should be a value from 0 to size()-1

Returns
  index-th value from vector

Implements plask::LazyDataImpl< Tensor2< double > >.

Definition at line 397 of file femT3d.cpp.

## ◆ size()

std::size_t plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::size | ( |  | ) | const
| override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< Tensor2< double > >.

Definition at line 412 of file femT3d.cpp.

## Member Data Documentation

## ◆ dest_mesh

shared_ptr<const MeshD<3> > plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::dest_mesh

Definition at line 93 of file femT3d.hpp.

## ◆ flags

InterpolationFlags plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::flags

Definition at line 94 of file femT3d.hpp.

## ◆ solver

const DynamicThermalFem3DSolver* plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::solver

Definition at line 92 of file femT3d.hpp.

## ◆ temps

LazyData<double> plask::thermal::dynamic::DynamicThermalFem3DSolver::ThermalConductivityData::temps

Definition at line 95 of file femT3d.hpp.

The documentation for this struct was generated from the following files:

- solvers/thermal/dynamic/femT3d.hpp
- solvers/thermal/dynamic/femT3d.cpp